NamingContextBindingsEnumeration (Apache Tomcat 8.5.85 API Documentation)

Package org.apache.naming

## Class NamingContextBindingsEnumeration

- java.lang.Object
- - org.apache.naming.NamingContextBindingsEnumeration

- All Implemented Interfaces:
    `java.util.Enumeration<javax.naming.Binding>`, `javax.naming.NamingEnumeration<javax.naming.Binding>`

      public class NamingContextBindingsEnumeration
      extends java.lang.Object
      implements javax.naming.NamingEnumeration<javax.naming.Binding>

  Naming enumeration implementation.
  Author:
    Remy Maucherat

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected java.util.Iterator<NamingEntry>` | `iterator` | Underlying enumeration.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `NamingContextBindingsEnumeration​(java.util.Iterator<NamingEntry> entries, javax.naming.Context ctx)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `close()` | Closes this enumeration.
    `boolean` | `hasMore()` | Determines whether there are any more elements in the enumeration.
    `boolean` | `hasMoreElements()` |
    `javax.naming.Binding` | `next()` | Retrieves the next element in the enumeration.
    `javax.naming.Binding` | `nextElement()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.Enumeration

      `asIterator`

- - ### Field Detail

    - #### iterator

          protected final java.util.Iterator<NamingEntry> iterator

      Underlying enumeration.

  - ### Constructor Detail

    - #### NamingContextBindingsEnumeration

          public NamingContextBindingsEnumeration​(java.util.Iterator<NamingEntry> entries,
                                                  javax.naming.Context ctx)

  - ### Method Detail

    - #### next

          public javax.naming.Binding next()
                                    throws javax.naming.NamingException

      Retrieves the next element in the enumeration.
      Specified by:
        `next` in interface `javax.naming.NamingEnumeration<javax.naming.Binding>`
      Throws:
        `javax.naming.NamingException`

    - #### hasMore

          public boolean hasMore()
                          throws javax.naming.NamingException

      Determines whether there are any more elements in the enumeration.
      Specified by:
        `hasMore` in interface `javax.naming.NamingEnumeration<javax.naming.Binding>`
      Throws:
        `javax.naming.NamingException`

    - #### close

          public void close()
                     throws javax.naming.NamingException

      Closes this enumeration.
      Specified by:
        `close` in interface `javax.naming.NamingEnumeration<javax.naming.Binding>`
      Throws:
        `javax.naming.NamingException`

    - #### hasMoreElements

          public boolean hasMoreElements()

      Specified by:
        `hasMoreElements` in interface `java.util.Enumeration<javax.naming.Binding>`

    - #### nextElement

          public javax.naming.Binding nextElement()

      Specified by:
        `nextElement` in interface `java.util.Enumeration<javax.naming.Binding>`